 <template>
  <div class="plate-box">
    <h2 class="DetailsTit"><span>{{ title }}</span></h2>
    <div class="plate " >
      <ul>
        <li>
          <label>班次 : </label>
          <span class="content">{{ schedual_type }}</span>
        </li>
        <li>
          <label>上机床位 : </label>
          <span class="content">{{ device_number }}</span>
        </li>
        <li>
          <label>上机护士 : </label>
          <span class="content">{{ nurse }}</span>
        </li>
      </ul>
      <ul>
           <li>
          <label>穿刺护士 : </label>
          <span class="content">{{ puncture_nurse }}</span>
        </li>
        <li>
          <label>状态 : </label>
          <span class="content">{{ stage }}</span>
        </li>
      </ul>
      <ul>
          <li>
          <label>上机时间 : </label>
          <span class="content">{{start_time}}</span>
        </li>
      </ul>
    </div>
    <div class="middleLine"></div>
  </div>
</template>

<script>
  import { parseTime } from '@/utils';

  export default {
  name: 'DialysisComputer',
  data() {
      return {
        title: '透析上机 '
      }
},
  props: {
      record: {
        type: Object
      },
      admin_map: {
        type: Object
      },
      device_number_map: {
        type: Object
      }
  },
  computed: {
    schedual_type:function(){

      if (this.record.id == 0) {
        return '-'
      }

      switch (this.record.schedual_type) {
        case 1:
          return "上午"
          break
        case 2:
          return "下午"

          break
        case 3:
          return "晚上"

          break

      }



    },
      device_number: function() {
        if (this.record.id == 0) {
          return '-'
        }


        if(this.device_number_map[this.record.bed_id].number.indexOf(this.device_number_map[this.record.bed_id].zone_name) == -1){

          return this.device_number_map[this.record.bed_id] == null ? '' :this.device_number_map[this.record.bed_id].zone_name +"-"+ this.device_number_map[this.record.bed_id].number


        }else{

          return this.device_number_map[this.record.bed_id].number

        }


      },
      nurse: function() {
        if (this.record.id == 0) {
          return '-'
        }
        return this.admin_map[this.record.start_nurse] == null ? '' : this.admin_map[this.record.start_nurse].name
      },
      stage: function() {
        if (this.record.id == 0) {
          return '未上机'
        }
        return this.record.stage == 1 ? '已上机' : '已下机'
      }, start_time: function() {
        if (this.record == null || this.record.id == '') {
          return '-'
        }
        return parseTime(this.record.start_time, '{y}年{m}月{d}日 {h}时{i}分')


  }, puncture_nurse: function() {
        if (this.record.id == 0) {
          return '-'
        }
        return this.admin_map[this.record.puncture_nurse] == null ? '' : this.admin_map[this.record.puncture_nurse].name
      }
  },
  methods: {

  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
</style>



